Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
The start date and time (in ISO 8601 format) for the requested appointment slot. Must be before slotEndDateTime. Example: '2024-01-15T10:00:00Z'.
curl -i -X POST \ https://na12.api.project44.com/services/appointments/v1/appointments \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "slotStartDateTime": "2024-01-15T10:00:00Z", "slotEndDateTime": "2024-01-15T12:00:00Z", "identifiers": { "shipmentReference": "SHIP123456", "stopSequenceNumber": 1, "siteCode": "SITE001" } }'
{ "status": "SUCCESS", "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "siteCode": "SITE001", "siteName": "Main Distribution Center", "identifier": [ … ] }, "yardShipment": { "id": "shipment_123", "carrier": "ABC Trucking", "loadType": "live", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "vendor": "Vendor Corp", "cabNo": "CAB789", "units": 50, "weight": 5000, "pallets": 25, "licensePlateNo": "ABC123", "customer": "Customer Inc", "reference1": "SHIP123456", "reference2": "REF789", "comment": "Handle with care", "commodity": "Electronics", "orderIds": [ … ], "loadInformation": [ … ] }, "milestones": [ { … }, { … } ] }
curl -i -X GET \ 'https://na12.api.project44.com/services/appointments/v1/appointments?endDate=2019-08-24&shipmentReference=string&siteCode=string&startDate=2019-08-24' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
[ { "appointment": { … }, "location": { … }, "milestones": [ … ], "status": "SUCCESS", "yardShipment": { … } } ]
curl -i -X GET \ 'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "identifier": [ … ], "siteCode": "SITE001", "siteName": "Main Distribution Center" }, "milestones": [ { … } ], "status": "SUCCESS", "yardShipment": { "carrier": "ABC Trucking", "cabNo": "CAB789", "customer": "Customer Inc", "comment": "Handle with care", "commodity": "Electronics", "id": "shipment_123", "loadType": "live", "licensePlateNo": "ABC123", "loadInformation": [ … ], "orderIds": [ … ], "pallets": 25, "reference1": "SHIP123456", "reference2": "REF789", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "units": 50, "vendor": "Vendor Corp", "weight": 5000 } }
A code indicating the reason for rescheduling the appointment. This helps in tracking and analytics of appointment changes. Example: 'RESCHEDULE'.
The new start date and time (in ISO 8601 format) for the rescheduled appointment slot. Must be before slotEndDateTime. Example: '2024-01-16T14:00:00Z'.
curl -i -X PUT \ 'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "slotStartDateTime": "2024-01-16T14:00:00Z", "slotEndDateTime": "2024-01-16T16:00:00Z", "identifiers": { "shipmentReference": "SHIP123456", "stopSequenceNumber": 1, "siteCode": "SITE001" }, "reasonCode": "RESCHEDULE" }'
{ "appointment": { "appointmentId": 12345, "scheduleStartDateTime": "2024-01-15T10:00:00Z", "scheduleEndDateTime": "2024-01-15T12:00:00Z", "slotDurationInMinutes": 120 }, "location": { "identifier": [ … ], "siteCode": "SITE001", "siteName": "Main Distribution Center" }, "milestones": [ { … } ], "status": "SUCCESS", "yardShipment": { "carrier": "ABC Trucking", "cabNo": "CAB789", "customer": "Customer Inc", "comment": "Handle with care", "commodity": "Electronics", "id": "shipment_123", "loadType": "live", "licensePlateNo": "ABC123", "loadInformation": [ … ], "orderIds": [ … ], "pallets": 25, "reference1": "SHIP123456", "reference2": "REF789", "serviceType": "delivery", "status": "SCHEDULED", "trailer": "TRL123456", "units": 50, "vendor": "Vendor Corp", "weight": 5000 } }
curl -i -X DELETE \ 'https://na12.api.project44.com/services/appointments/v1/appointments/{appointmentId}?reasonCode=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "status": "SUCCESS" }